Behind the Blackboard! Cumulative Update 9 for Blackboard Learn, 9.1 Q4 2019 - Behind the Blackboard Skip Navigation
Download PDF  Icon Download PDF    Print article

Cumulative Update 9 for Blackboard Learn, 9.1 Q4 2019

Date Published: Mar 31,2021


CategoryProduct:Installs & Configurations; Version:Learn 9.1 Q4 2019 (3800.0.0)
Article No.: 000075397

Product:  
Blackboard Learn


Information:

Blackboard is pleased to announce the availability of Cumulative Update 9 for the Blackboard Learn 9.1, Q4 2019 Release (Build: 3800.0.9-rel.16+8f8c3e7).

Note:
There was a quality concern with Cumulative Update 8 for Blackboard Learn 9.1, Q4 2019 so it will not released. 
 

Resolved Issues:

Cumulative Update 9 for Blackboard Learn 9.1, Q4 2019 includes resolution to the following issues:

  • LRN-169531– XXE Vulnerability in Course Import/Restore Can Permit Server Side Request Forgery - Article #75413
  • LRN-169394 – XXE Vulnerability in Tests, Surveys or Pools Can Permit Arbitrary File Access and/or Server Side Request Forgery - Article #75414
  • LRN-165911 – Course Message API Returns Unnecessary User Information - Article #75415
  • LRN-166080– Course Role Privilege Escalation Possible Within Enrolled Course - Article #75416
  • LRN-165350 – Broken Access Control Vulnerability Permits Access to Threads in Unavailable Discussion Board Forums - Article #75417
  • LRN-169437 – Path Traversal Vulnerability in Course Import/Restore Can Permit Arbitrary Server File Access Article #75418
  • LRN-170905 – Path Traversal Vulnerability in Course Import/Restore Can Result in Remote Code Execution - Article #75419
  • LRN-165386/LRN-165395 - Insecure Direct Object Reference Vulnerability in Content Workflow Model - Article #75420
  • LRN-169803 – Stored XSS Vulnerability in Assessment Import Tool - Article #75421
  • LRN-171306 – Stored XSS Vulnerability in Course Messages - Article #75422
  • Last Access Column not Updating for all Students - Article #70324
  • Problem with Calculated Questions functionality with answers using (E) exponentials - Article #75131


Change Management Resources:

  • Self-hosted clients may download the latest build on the Download Files page.
Before applying the Cumulative Update, please take a system backup and make sure you have a backup plan in place. The installer is run at the command line, using Gradle, Maven, and an installer properties file. This also requires your system to be down for the upgrade/install. Further installation instructions can be found here.
  • Managed Hosting clients may submit a case on Behind the Blackboard to schedule implementation of this release.
 

Upgrade Paths for Clients Already on Blackboard Learn, Release 9.1

Existing Blackboard Learn, Release 9.1 clients can upgrade from the following versions to 9.1 Q4 2019 CU9 (Build: 3800.0.9-rel.16+8f8c3e7)
If you are a self-hosted client on a Blackboard Learn 9.1 release prior to 9.1 Q4 2018, you will need to upgrade to at least 9.1 Q4 2018 before you can upgrade to Learn 9.1 Q4 2019 CU9.

Note that for 9.1 installers, the build number 3600.0 was skipped--Q4 2018 was 3500.0 and Q2 2019 was 3700.0. 3600.0 was shipped for SaaS, but skipped for 9.1 installers due to changes in included features for the release.


Upgrade Paths for Clients New to Blackboard Learn, Release 9.1

If you are upgrading from one of the releases listed below, please refer to Install or Upgrade Learn for information to help you plan for this move. There are planning, training, and communication materials available to make this upgrade as smooth as possible. Please reference next steps based on your current release. For those migrating from Blackboard Learn, Release 9.0 or Blackboard Academic Suite, Release 8.0, please ensure you include migrating to a 64-bit environment in your upgrade plans.
  • Blackboard Learn, Release 9.0: The following paths are supported when upgrading from Blackboard Learn, Release 9.0, Service Pack 7 (Build: 9.0.692.0)
    • Release 9.1, Service Pack 9 (Build: 9.1.90132.0) > Service Pack 12 (Build: 9.1.120113.0) > April 2014 (9.1.201404.160205) > Q4 2015 (Build:9.1.201510) > Q4 2016 (Build:3100.0) > Q4 2017 (Build:3300.0) > Q4 2018 (Build: 3500.0) > Q4 2019 CU9
  • Blackboard Academic Suite, Release 8.0 or lower:The following paths are supported when upgrading from Release 8.0, Service Pack 7 Hotfix 2 (Build: 8.0.494.35) without needing to upgrade to Release 9.0 first.
    • Blackboard Learn, Release 9.1, Service Pack 9 (Build: 9.1.90132.0) > Service Pack 12 (Build: 9.1.120113.0) > April 2014 (9.1.201404.160205) > Q4 2015 (Build:9.1.201510) > Q4 2016 (Build:3100.0) > Q4 2017 (3300.0) > Q4 2018 (Build: 3500.0) > Q4 2019 CU9
  • Blackboard Learning System CE 8.0 and Vista 8.0 Licenses: You must be on Service Pack 6 (Build: 18.0.6.116) to effectively use course conversion capabilities.
  • Blackboard Learn, ANGEL Edition: You must be on any ANGEL 8.0 or ANGEL 7.4 release to effectively use course conversion capabilities.
If you are a self-hosted client on a release that is earlier than Blackboard Learn 9.1 Service Pack 6, and you also use Oracle, there is a pre-upgrade utility that will minimize your downtime during this upgrade. Please consult the 9.1 Service Pack 6 Release Notes and the Readme for the Pre-Upgrade Utility for Oracle for more information on this utility.

For a more detailed explanation of the all the changes and new features included with this release, please reference the 9.1 Q4 2019 GA Release Notes and related documentation.




The information contained in the Knowledge Base was written and/or verified by Blackboard Support. It is approved for client use. Nothing in the Knowledge Base shall be deemed to modify your license in any way to any Blackboard product. If you have comments, questions, or concerns, please send an email to kb@blackboard.com. © 2021 Blackboard Inc. All rights reserved